Bug 1447367 - Ansible playbook service cannot be retired
Summary: Ansible playbook service cannot be retired
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Tina Fitzgerald
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible:service
Depends On: 1446466
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 14:10 UTC by Satoe Imaishi
Modified: 2017-05-31 15:07 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1446466
Environment:
Last Closed: 2017-05-31 15:07:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-02 14:16:03 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b8adb435b9ee436830ede833b2fd6a4ec3fd9d4f

commit b8adb435b9ee436830ede833b2fd6a4ec3fd9d4f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue May 2 08:37:02 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 10:12:50 2017 -0400

    Merge pull request #14955 from tinaafitz/fix_finish_retirement
    
    Revert previous changes adding notification to finish retirement.
    (cherry picked from commit d1e5d88f5ec5b922adf551e7e2c0bd3d5421fb22)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447367

 app/models/mixins/retirement_mixin.rb                         | 1 -
 spec/models/orchestration_stack/retirement_management_spec.rb | 1 -
 spec/models/service/retirement_management_spec.rb             | 1 -
 spec/models/vm/retirement_management_spec.rb                  | 1 -
 4 files changed, 4 deletions(-)

Comment 3 CFME Bot 2017-05-02 14:21:19 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4db8b4280519369694c6b7535c3fb7c006aa6047

commit 4db8b4280519369694c6b7535c3fb7c006aa6047
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue May 2 08:37:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 10:14:47 2017 -0400

    Merge pull request #14957 from tinaafitz/add_notification_type
    
    Add orchestration_stack_retired notification type.
    (cherry picked from commit 48906874fdd02fc74cae384081a61c7c4b28983b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447367

 db/fixtures/notification_types.yml | 6 ++++++
 1 file changed, 6 insertions(+)

Comment 4 CFME Bot 2017-05-02 18:33:39 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/54111016d389c8a3b0c98d256617c2c699615438

commit 54111016d389c8a3b0c98d256617c2c699615438
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue May 2 13:54:15 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 14:29:35 2017 -0400

    Merge pull request #106 from tinaafitz/add_notification_to_finish_retirement
    
    Add notifications for finish_retirement.
    (cherry picked from commit 4b97013913f288f3a99b1133005ecbc70a4f76cb)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447367

 .../StateMachines/Methods.class/__methods__/finish_retirement.rb         | 1 +
 .../StateMachines/Methods.class/__methods__/finish_retirement.rb         | 1 +
 .../StateMachines/Methods.class/__methods__/finish_retirement.rb         | 1 +
 .../StateMachines/Methods.class/__methods__/finish_retirement.rb         | 1 +
 .../StateMachines/Methods.class/__methods__/finish_retirement_spec.rb    | 1 +
 5 files changed, 5 insertions(+)

Comment 5 Dmitry Misharov 2017-05-10 11:51:03 UTC
Verified in 5.8.0.14-rc3.20170509175238_5dbf87a. A service can be retired.

Comment 7 errata-xmlrpc 2017-05-31 15:07:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.